[SkyGfx]

; IMPORTANT: everything after the first ';' in a line is IGNORED

; Changes that cannot be toggled:
; - Texture lookup falls back to generic.txd (required by Xbox map)
; - Player skins are set to use linear filtering


;; If you leave the value empty (e.g. texgenSwitch= ) or remove the line
;; the game code will not be touched. This might be useful should there
;; be incompatibilities with other mods. Even setting to 0 will most often
;; cause skygfx to hook the code so the setting can be toggled in game.


replaceDefaultPipeline=1        ; Replace the default d3d8 RW pipeline by one that is very close to the default Xbox pipeline.
                                ; Enabling this will fix bugs happening to objects with transparent vertex colors.
disableColourOverlay=0          ; Disable the colour overlay effect (whether trails are enabled or not)
; carPipe=0                       ; Car pipeline switch. 0 = default, 1 = neo (requires d3d9), 2 = leeds
; worldPipe=0                     ; World pipeline switch. 0 = default, 1 = neo (requires d3d9, but has d3d8 fallback), 2 = leeds

;; PS2
ps2Loadscreen=1                 ; Use PS2 loadscreens
texblendSwitch=0                ; Which texture blend effect for MatFX environment mapping to use.
                                ;  0 = PS2, 1 = PC, 2 = Mobile
texgenSwitch=0                  ; Which texture coordinate generation method for MatFX environment mapping to use.
                                ;  0 = PS2, 1 = PC, 2 = Mobile
ps2light=1			; Use PS2 lighting for MatFX, the difference is subtle but visible
dualPass=1                      ; Draw almost all transparent geometry in two passes to reduce alpha bugs.
ps2carCam=1                     ; Use the PS2 Get-in-car camera


;; Xbox
neoRimLightPipe=0               ; Whether to use Xbox-like rim lighting on peds; requires d3d9.
neoGlossPipe=0                  ; Whether to use the Xbox-like gloss pipeline for roads; requires d3d9
neoWaterDrops=-1                 ; Draw Xbox screen water drops
                                ;  0 = default, 1 = Neo, 2 = Extended Neo, 3 = Extended Neo + Blood droplets

;; Misc
envMapSize=128                  ; Size of the reflection map used for real time reflections (rounded up to next power of 2).
seamFix=1                       ; Try to get rid of seams between objects
; dontNag=0                     ; Set this to 1 to disable SkyGFX error messages

;; This is a color tweak in YCbCr space. You can use it to emulate how
;; an analog PS2/Xbox signal might be interpreted
; YCbCrCorrection=0	; turns this on or off (default 0)
; lumaScale=0.8588	; multiplier for Y (default 0.8588)
; lumaOffset=0.0627	; this is added to Y (default 0.0627)
; CbScale=1.22		; like above with Cb and Cr (default 1.22)
; CbOffset=0.0		; (default 0.0)
; CrScale=1.22		; (default 1.22)
; CrOffset=0.0		; (default 0.0)

;; Curiosities
;VCEnvFrame=0                   ; use the Vice City MatFX env map frame where the reflections depend on the camera with PC tex coord generation


;; Advanced - don't touch if you don't know what you're doing!
;; These settings mostly need other plugins to do something
; trailsSwitch=0                      ; Type of trails. 0 = default, 1 = leeds, 2 = mobile
; radiosity=1                         ; Turns VCS radiosity on or off (needs leeds trails and a plugin to supply control values)
; radiosityRenderPasses=2             ; How many times to draw the radiosity effect
; radiosityFilterPasses=4             ; How many times to downsample the radiosity effect
; leedsEnvMult=0.22                   ; Multiplier for the leeds reflection map (default 0.22)
; leedsWorldPrelightTweakMult=1.0     ; Multiplier for leeds ambient light
; leedsWorldPrelightTweakAdd=0.0      ; Added to leeds emissive light